From 520eeba6d022cbd0b5fa1a7f54971ecba57fff2d Mon Sep 17 00:00:00 2001
From: Euler Taveira <euler.taveira@enterprisedb.com>
Date: Mon, 16 Nov 2020 16:19:44 -0300
Subject: [PATCH 3/6] Explain why this message is ignored

This message is ignored in the logical replication worker. However, it
could be used by applications that use pgoutput as output plugin.
---
 src/backend/replication/logical/worker.c | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/src/backend/replication/logical/worker.c b/src/backend/replication/logical/worker.c
index 6890603622..452eb02600 100644
--- a/src/backend/replication/logical/worker.c
+++ b/src/backend/replication/logical/worker.c
@@ -1937,6 +1937,12 @@ apply_dispatch(StringInfo s)
 			return;
 
 		case LOGICAL_REP_MSG_MESSAGE:
+
+			/*
+			 * Logical replication does not use generic logical messages yet.
+			 * Although, it could be used by other applications that use this
+			 * output plugin.
+			 */
 			return;
 
 		case LOGICAL_REP_MSG_STREAM_START:
-- 
2.20.1

